NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Which voip package in pkgsrc works on NetBSD?

Am 10.04.2012 um 22:02 schrieb Jeremy C. Reed:

> On Sun, 8 Apr 2012, Mayuresh wrote:
>> wip/linphone: Incoming calls work, though not outgoing. Tried building
>> with latest released version with no luck.
> I have used command-line client linphonec several times last year to 
> connect to my work's asterisk server.
> make PKG_OPTIONS.linphone="-linphone-gui -linphone-video"

as the maintainer of wip/linphone I am glad to hear that someone is actually 
using it.
I happen to be working on upgrading it to the latest release, 3.5.2.
However, I'm unfortunately still stuck with the following error message

gmake[4]: Entering directory 
  CC     mediastream.o
mediastream.c: In function 'parse_args':
mediastream.c:284: warning: array subscript has type 'char'
mediastream.c: In function 'setup_media_streams':
mediastream.c:403: warning: unused variable 'cam'
  OBJCLD mediastream
libtool: link: unable to infer tagged configuration
libtool: link: specify a tag with `--tag'
gmake[4]: *** [mediastream] Error 1

Regarding the files not listed in PLIST, that's actually my fault. I failed to 
include them. I'll clean that up when I get 3.5.2 to build.

Georg Schwarz +49 170 8768585

Home | Main Index | Thread Index | Old Index